tvbrowser.core.data

## Class OnDemandProgram

- java.lang.Object
- - tvdataservice.MutableProgram
  - - tvbrowser.core.data.OnDemandProgram

- All Implemented Interfaces:
    Program

      public class OnDemandProgram
      extends MutableProgram

  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    - ### Fields inherited from class tvdataservice.MutableProgram

      `EMPTY_MARKER_ARR, ID_DATE_FORMAT, MAX_SHORT_INFO_LENGTH, mTitle`

    - ### Fields inherited from interface devplugin.Program

      `DEFAULT_PROGRAM_IMPORTANCE, HIGHER_MEDIUM_MARK_PRIORITY, HIGHER_MEDIUM_PROGRAM_IMPORTANCE, INFO_AUDIO_DESCRIPTION, INFO_AUDIO_DOLBY_DIGITAL_5_1, INFO_AUDIO_DOLBY_SURROUND, INFO_AUDIO_MONO, INFO_AUDIO_STEREO, INFO_AUDIO_TWO_CHANNEL_TONE, INFO_CATEGORIE_ARTS, INFO_CATEGORIE_CHILDRENS, INFO_CATEGORIE_DOCUMENTARY, INFO_CATEGORIE_MAGAZINE_INFOTAINMENT, INFO_CATEGORIE_MOVIE, INFO_CATEGORIE_NEWS, INFO_CATEGORIE_OTHERS, INFO_CATEGORIE_SERIES, INFO_CATEGORIE_SHOW, INFO_CATEGORIE_SPORTS, INFO_LIVE, INFO_NEW, INFO_ORIGINAL_WITH_SUBTITLE, INFO_SIGN_LANGUAGE, INFO_SUBTITLE_FOR_AURALLY_HANDICAPPED, INFO_VISION_16_TO_9, INFO_VISION_4_TO_3, INFO_VISION_BLACK_AND_WHITE, INFO_VISION_HD, IS_VALID_STATE, LOWER_MEDIUM_MARK_PRIORITY, LOWER_MEDIUM_PROGRAM_IMPORTANCE, MARK_PRIORITY, MAX_MARK_PRIORITY, MAX_PROGRAM_IMPORTANCE, MEDIUM_MARK_PRIORITY, MEDIUM_PROGRAM_IMPORTANCE, MIN_MARK_PRIORITY, MIN_PROGRAM_IMPORTANCE, NO_MARK_PRIORITY, WAS_DELETED_STATE, WAS_UPDATED_STATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDemandProgram(Channel channel, Date localDate, OnDemandDayProgramFile onDemandFile)` Creates a new instance of MutableProgram.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getObjectValueField(ProgramFieldType type)` access method to object field values. this allows ondemand programs to reimplement the access
    `void` | `setLargeField(ProgramFieldType type, long position)`

    - ### Methods inherited from class tvdataservice.MutableProgram

      `addChangeListener, equals, equalsAllFields, fireStateChanged, generateShortInfoFromDescription, getBinaryField, getChannel, getDate, getDateString, getDescription, getEndTimeString, getFieldCount, getFieldIterator, getHours, getID, getInfo, getIntField, getIntFieldAsString, getLength, getLocalDate, getLocalStartTime, getMarkerArr, getMarkPriority, getMinutes, getProgramState, getShortInfo, getStartTime, getTextField, getTimeField, getTimeFieldAsString, getTimeString, getTitle, getUniqueID, hasFieldValue, hashCode, isExpired, isOnAir, mark, mark, removeChangeListener, setBinaryField, setDescription, setInfo, setIntField, setLength, setObjectValueField, setProgramLoadingIsComplete, setProgramState, setShortInfo, setTextField, setTimeField, setTitle, toString, unmark, unmark, validateMarking`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OnDemandProgram

          public OnDemandProgram(Channel channel,
                         Date localDate,
                         OnDemandDayProgramFile onDemandFile)

      Creates a new instance of MutableProgram.

      The parameters channel, date, hours and minutes build the ID. That's why they are not mutable.

      Parameters:
        `channel` - The channel object of this program.
        `localDate` - The date of this program.

  - ### Method Detail

    - #### setLargeField

          public void setLargeField(ProgramFieldType type,
                           long position)

    - #### getObjectValueField

          protected java.lang.Object getObjectValueField(ProgramFieldType type)

      Description copied from class: `MutableProgram`
      access method to object field values. this allows ondemand programs to reimplement the access
      Overrides:
        `getObjectValueField` in class `MutableProgram`
      Returns:
        object stored in the field

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)